/*
 * @Author: your name
 * @Date: 2022-01-04 15:14:05
 * @LastEditTime: 2022-01-06 14:56:16
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \goldenPig\src\router\ChildrenRouters.js
 */
const childrenRouters = [
  /* 首页 */
  {
    path: '/',
    name: 'Dashboard',
    component: () => import('../views/dashboard/dashboard.vue'),
    meta: {
      title: '首页',
      permission: 'dashboard',
      parentName: '首页',
    },
  },
  {
    path: '/dashboard',
    name: 'Dashboard',
    component: () => import('../views/dashboard/dashboard.vue'),
    meta: {
      title: '首页',
      permission: 'dashboard',
      parentName: '首页',
    },
  },

  /*
  *
  * 汇总数据
  *
  * */
 {
    path: '/individualData',
    name: 'IndividualData',
    component: () => import('../views/summary-data/individual-data/IndividualData.vue'),
    meta: {
      title: '个体数据',
      permission: 'individualData',
      parentName: '汇总数据'
    }
  },

  /*
  *
  * 系统管理
  *
  * */
  {
    path: '/menuAdmin',
    name: 'MenuAdmin',
    component: () => import('../views/SystemAdmin/MenuAdmin.vue'),
    meta: {
      title: '菜单管理',
      permission: 'menuAdmin',
      parentName: '系统管理'
    }
  },
  {
    path: '/authAdmin',
    name: 'AuthAdmin',
    component: () => import('../views/SystemAdmin/AuthAdmin.vue'),
    meta: {
      title: '职位管理',
      permission: 'authAdmin',
      parentName: '系统管理'
    }
  },
  {
    path: '/userAdmin',
    name: 'UserAdmin',
    component: () => import('../views/SystemAdmin/UserAdmin.vue'),
    meta: {
      title: '用户管理',
      permission: 'userAdmin',
      parentName: '系统管理'
    }
  },
]

export default childrenRouters;
